CAD PANACEA HAS MOVED TO http://cadpanacea.com
20 December 2007
Bloated Scale List          
One of the problems that has plagued AutoCAD 2008 and it's verticals has been the bloated scale list. Scale list entries are propagated from drawing to drawing similar to the way named layer filters did back in AutoCAD 2002.

You may not even be aware that this problem exists in some of your drawings. To take a peek, click on the Annotation Scale popup located in the AutoCAD status bar. If you get something that looks like the image below, it's time to clean up.




To clean up, you can use the ._SCALELISTEDIT command. This will open the following dialog.



Press the RESET button, answer YES if you get a warning prompt, and you are done.

You may be wondering where all the scales from the first image are in this dialog. Well, this particular drawing contained over 5200 scale list entries and the dialog will not handle that many. In fact I received this error just by executing the ._SCALELISTEDIT command.



So how do you clean a drawing in this shape? Use the command line version of this tool as shown below.


Command: .-scalelistedit
Enter option [?/Add/Delete/Reset/Exit] : _R
Reset scale list to defaults? [Yes/No] : _Y
Scale list reset to default entries.
Enter option [?/Add/Delete/Reset/Exit] : _E
Command:

Two more rules before you start cleaning your drawings.


  • Install the latest service pack for your product. This will keep this problem from happening again.
  • Clean from the inside out or the bottom up, depending on your point of view. What I mean is to start at the lowest level xref drawing and work your way up to the parent xref drawing.
    If Drawing "A" is xrefed into Drawing "B" and Drawing "B" is xrefed into Drawing "C" -- then clean "A", then "B", then "C" - in that order.

You can also create a toolbar button to quickly execute this command, here is the macro:


^c^c.-scalelistedit;_R;_Y;_E;

Labels: ,


PermaLink       Posted 12/20/2007 12:01:00 PM      Comments (2)
14 December 2007
Command vs. entmake vs. vla-add          
If you program with autolisp, you have probably used the command function at some point, probably to construct drawing entities. There is certainly nothing wrong with that. However, if you are working on a large program that constructs a lot of drawing entities, you may have noticed that the command function runs pretty slow.


I put together some tests to compare the (command) function to two other methods of entity creation, (entmake) and (vla-add...). The test constructs 1,999 line entities using various methods.


I originally posted this on 13 DEC 2007, but after receiving a couple of good comments, I decided to edit this original post rather than make a separate entry. Thanks to the comments by Petri and Matt, I added a couple of new tests to the roundup.


Test1 - Uses the (command) function with CMDECHO set to 1

Test2 - Uses the (command) function with CMDECHO set to 0 and NOMUTT set to 1 (this basically turns the command line off...)

Test3 - Uses the (entmake) function.

Test4 - Uses the (vla-add...) function

Test5 - Uses the (vla-add...) function, but moves (vla-get-modelspace (vla-get-ActiveDocument (vlax-get-acad-object))) outside the timer, which make sense because the time to do this task should not be included. Surprisingly, it didn't make much differance at all.

The results are shown below. The times represent the average of 5 consecutive runs.


  • Test1 - 11.7 seconds
  • Test2 - 5.50 seconds
  • Test3 - 0.44 seconds
  • Test4 - 0.94 seconds
  • Test5 - 0.90 seconds

So (entmake) is still the fastest method, (vla-add...) takes about twice as long as entmake, and the most efficient (command) method about 12X longer on average. Removing the command line echoes from the (command) method speeds this up considerably.

In summary, if you are only drawing few entities, you won't notice any difference by modifying your code. On the other hand, if you code is drawing hundreds of entities, you might consider a change. Keep in mind that these numbers are relative and will vary depending on the system.

The lisp code used is shown below


(defun date2sec ()
(setq s (getvar "DATE"))
(setq seconds (* 86400.0 (- s (fix s))))
)

(defun C:test1 ( / i timer endtimer)
(setvar "cmdecho" 1)
(setq i 1 timer (date2sec))
(while (< i 2000)
(command "._line" (list i i 0.0) (list (+ 2 i)(+ 3 i) 0.0) "")
(setq i (1+ i))
)
(setq endtimer (date2sec))
(alert (rtos (- endtimer timer) 2 8))
)

(defun C:test2 ( / i timer endtimer)
(setvar "cmdecho" 0)
(setvar "nomutt" 1)
(setq i 1 timer (date2sec))
(while (< i 2000)
(command "._line" (list i i 0.0) (list (+ 2 i)(+ 3 i) 0.0) "")
(setq i (1+ i))
)
(setq endtimer (date2sec))
(alert (rtos (- endtimer timer) 2 8))
(setvar "cmdecho" 1)
(setvar "nomutt" 0)
)

(defun C:test3 ( / i timer endtimer)
(setq i 1 timer (date2sec))
(while (< i 2000)
(entmake (list
(cons 0 "LINE")
(cons 10 (list i i 0.0))
(cons 11 (list (+ 2 i)(+ 3 i) 0.0))
)
)
(setq i (1+ i))
)
(setq endtimer (date2sec))
(alert (rtos (- endtimer timer) 2 8))
)


(defun C:test4 ( / i timer endtimer)
(vl-load-com)
(setq i 1 timer (date2sec) ms
(vla-get-modelspace
(vla-get-ActiveDocument
(vlax-get-acad-object))))
(while (< i 2000)
(vla-addline ms
(vlax-3d-point (list i i 0.0))
(vlax-3d-point (list (+ 2 i)(+ 3 i) 0.0))
)
(setq i (1+ i))
)
(setq endtimer (date2sec))
(alert (rtos (- endtimer timer) 2 8))
)

(defun C:test5 ( / i timer endtimer)
(vl-load-com)
(setq ms (vla-get-modelspace
(vla-get-ActiveDocument
(vlax-get-acad-object)
)
)
)
(setq i 1 timer (date2sec))
(while (< i 2000)
(vla-addline ms
(vlax-3d-point (list i i 0.0))
(vlax-3d-point (list (+ 2 i)(+ 3 i) 0.0))
)
(setq i (1+ i))
)
(setq endtimer (date2sec))
(alert (rtos (- endtimer timer) 2 8))
)

Labels: , , ,


PermaLink       Posted 12/14/2007 07:10:00 AM      Comments (6)
12 December 2007
Selection highlighting in AutoCAD          


Starting in AutoCAD 2006, you can specify a highlight color and opacity to your selection areas as illustrated by the green area shown in the example below.






Below is a description of these options and how to change them.




If you want to go through the OPTIONS dialog, open it up and switch to the Selection tab. Click on the Visual Effect Settings button. Everything you need to control is there on the right half of this dialog, shown above.

If you want to change these options with code or a macro, here are the system variable names to do that.


  • SELECTIONAREA - turns this feature off (0) or on (1).
  • WINDOWAREACOLOR - sets the color used during a window selection (1-255)
  • CROSSINGAREACOLOR - sets the color used during a crossing window selection (1-255)
  • SELECTIONAREAOPACITY - determines the amount of transparency used by the selection area colors (0-100)





Here is an example of setting these variables using lisp


(setvar "selectionarea" 1)
(setvar "windowareacolor" 30)
(setvar "crossingareacolor" 51)
(setvar "selectionareaopacity" 30)

Labels: , , , ,


PermaLink       Posted 12/12/2007 12:36:00 PM      Comments (0)
06 December 2007
AutoCAD Polyline Types          
Confused about the various polyline types that you see in AutoCAD?

From the end user perspective there are 3 polyline types listed in the PROPERTIES command, even though there are only two "entity" types.

  • polyline - this is an LWPOLYLINE entity, always 2D.
  • 2d polyline - this is a POLYLINE entity, also 2D.
  • 3d polyline - this is a POLYLINE entity, usually 3D, with each vertex at a different elevation. It is possible to have a "3d polyline" and have each vertex at the same elevation.

If you use the LIST command on any polyline, you will only see the
entity names (POLYLINE or LWPOLYLINE).

POLYLINE entities are the original type. LWPOLYLINE entities were introduced in R14.

If PLINETYPE = 0 (zero), then the PLINE command will create POLYLINE entities.
If PLINETYPE = 1 or 2, then the PLINE command will create LWPOLYLINE entities.

To create 3d polylines, use the 3DPOLY command.

To convert between POLYLINE and LWPOLYLINE entities, use the CONVERTPOLY command.

If you are using Autolisp, you only need to worry about the entity names (POLYLINE and LWPOLYLINE.) A "3d polyline" is simply a POLYLINE entity with a special flag set. When this flag is set, each vertex subentity can be set to a different elevation.

Depending on what else you may be doing, you may also see
names like:
Acad3DPolyline, or AcDb3dPolyline
AcadPolyline, or AcDb2dPolyline
AcadLWPolyline, or AcDbPolyline

Labels: , ,


PermaLink       Posted 12/06/2007 05:23:00 PM      Comments (4)
05 December 2007
Linetypes on 3D Polylines          
In AutoCAD, you can assign a non-continuous linetype to a 3D polyline, but it will not display or plot.

If you need 3D polylines, and you need a non-continuous linetype, for example to represent the flowline of a ditch - there are a couple of workarounds. Both assume that you have assigned the correct linetype to your 3D polylines.


  1. Copy all the 3D polylines in place, explode the copies and place them on a new layer. Create a "plot only" layer state that freezes the layer containing the 3D polylines and thaws the layer containing the 2D polylines. Set this layer state current before plotting.
  2. Before you get ready to plot, save the drawing. Now explode all your 3D polylines, then plot and quit without saving.

Labels: , , , ,


PermaLink       Posted 12/05/2007 08:13:00 PM      Comments (0)
30 November 2007
AU2007 Report          

Autodesk University 2007 is over. There were a lot of good classes, and a couple that....well, I'll get to that later...


Here were some of my favorites.


  • DEA path to Civil 3D migration - DEA presented a class on their migration from Land Desktop to Civil 3D. You can read all the blogs and websites you want, talk to all the resellers you want, but this was first hand info from a consumer on what worked and what didn't. Excellent class. Most of our assumptions were confirmed, one being the expected 5-6 days of training required for each user.
  • The Secrets of cutting plan and profile sheets in Civil 3D - Michelle Rasmussen from IMAGINiT Technologies was easily the best speaker I had last week. The content fit the time slot, and it was presented in a logical and easy to understand manner.
  • Vaulting the Civil 3D Data Chasm - Mark Evinger from Cowhey Gudmundson Leder presented a fairly technical class on why they decided on Vault over Data Shortcuts, the cost, time, and hardware needed to set up a Vault, and even shared their internal training schedule.
  • Filling the gaps in the Sheet Set Manager - If you use SSM, you probably wish it could do some things that it can't. R. Robert Bell demonstrated how to use VBA to solve some of the shortcomings of the SSM.
  • Anonymous - I did sit in on one class however that was brutal. It was advertised to users of the product, however the speaker spent the majority of the time talking about doing stuff like manually editing XML files using different 3rd party programs, and using VBA to edit files supplied by Autodesk. I do a fair amount of programming and I barely understood what was going on. About 3/4 of the 400+ user class left in the first 45 minutes.

That last example is an exception to the rule of course.


Outside of class...


  • The exhibit hall was huge. Hundreds of booths with a variety of products exhibited.
  • I met several people, some for the first time - others I have met before. Allow me to drop some names....


Other notes...


I even ran into Shaan (camera in hand of course) out on the strip Wednesday night. Does he ever sleep?

During my 3:00-4:30 class on Thursday, my wife was out shopping and ran into Pete Rose over at a sports shop in Caesars Palace. You just never know who you might run into in Vegas I suppose....

Labels: , , , , , ,


PermaLink       Posted 11/30/2007 02:20:00 PM      Comments (0)
23 November 2007
Download Camtasia Studio for Free          
TechSmith is offering a registered version of Camtasia Studio for FREE, with the opportunity to upgrade to the latest version at half price.

More details available here - Download Camtasia Studio with Registration Key for Free

Labels: , ,


PermaLink       Posted 11/23/2007 02:54:00 PM      Comments (1)
12 November 2007
Drawings larger than they should be?          
Do you have .DWG files that are larger than they should be? Here are some quick things to check using AutoCAD.



1: Run the ._PURGE command. This will allow you to purge (or delete) unreferenced items like blocks, layers, dimstyles, etc.


2: Delete all unused layer filters. This was a huge problem a few versions ago in AutoCAD, because named layer filters were carried from drawing to drawing like a virus. You could easily end up with thousands of them. To delete, run the ._FILTERS command. (this is an undocumented command, but it is part of AutoCAD, so there is no add-on needed). The ._FILTERS command was added to R2006, so if you are still on R2005 or earlier, you will need the lisp file found here. (if you are not sure what to do with lisp code, see this)


3: Delete all unreferenced Regapps. Regapps are REGistered APPlication names. I have seen drawings will tens of thousands of these. You will have to use the command line version of the purge command (-purge) to purge these out. Add this to a toolbar button: (command "-purge" "_R" "*" "_N"). The output will be something like this:


Deleting registered application "EPAN100008_091928567580".
Deleting registered application "EPAN100008_094639251560".
Deleting registered application "EPAN100008_100698363170".
Deleting registered application "EPAN100008_111048971960".
Deleting registered application "EPAN100055_130935314550".
Deleting registered application "EPAN100055_133687974070".
Deleting registered application "EPAN100055_160874393360".
Deleting registered application "EPAN100055_161662973360".
....
....
Deleting registered application "EPLT79869_081758743487".
Deleting registered application "EPLT80159_093406689353".
Deleting registered application "EPLT80159_093454012749".
Deleting registered application "EPLT80159_093462674631".
Deleting registered application "EPLT80159_093565515344".
Deleting registered application "EPLT80159_093648013441".
Deleting registered application "EPLT80159_093767728351".
Deleting registered application "EPLT80159_093796266854".
Deleting registered application "EPLT933242145_878928800000".
20483 registered applications deleted.


In this particular drawing, I only deleted the regapps and the drawing file size went from 2679k to 1515k.

Labels: , , ,


PermaLink       Posted 11/12/2007 12:26:00 PM      Comments (6)
07 November 2007
Layout (paper space) tutorial: Part 2          
This is Part 2: (Part 1 is here)


Now you have a drawing containing layouts with the proper plot settings. Let's do some more things.


Create and scale additional viewports.



You can create as many viewports as you need in a given layout. Not only that, but each one can be scaled differently. Maybe you are putting together a detail sheet with various scaled details, or maybe you need a blow up detail of something in your first viewport. To do this, just repeat the steps in part 1. Let's number the steps here so we can refer back to them.


  1. Type in the command MVIEW (or choose View, Viewports, 1 Viewport from the pull-down menus)
  2. Pick a rectangle on your "paper"
  3. The contents of model space will appear within this viewport. If you have objects spread out in MS, you may not see anything. Hang on, we'll fix this.
  4. In the Status Bar of AutoCAD, find the PAPER button. Click it. It will change to MODEL. Now your cursor is restricted to the limits of the viewport. (If you do not have this PAPER button, use the type in command MSPACE to switch to Model Space)
  5. Pan or zoom as desired. Notice how only the MS entities move. Layout entities stay put.
  6. Now let's scale the model accurately. Type in ZOOM, the "C" for Center. Then pick a point roughly on the center of your model.
  7. Now enter the scale factor. If the scale is 1"=50', enter 1/50XP. If the scale is 1"=20', enter 1/20XP. You can also use the viewport toolbar to set the scale, but you may get undesired results.
  8. After you have set the scale, you can PAN without altering the zoom level.
  9. Once you are satisfied, click the MODEL button in the status bar. It will change to PAPER. (If you do not have this MODEL button, use the type in command PSPACE to switch to Paper Space)
  10. Click on the viewport to highlight the grips. Right click anywhere and choose Display Locked, Yes.



Viewport shapes other than rectangular



So far, all we have made is rectangular viewports. However, you can make polygonal, circular, or elliptical viewports also. You can actually make them any shape you want. Let's start with a polygonal viewport.




  • Type in the command MVIEW (or choose View, Viewports, Polygonal Viewport from the pull-down menus).
  • If you use the type in command MVIEW, then enter "P" at the next prompt.
  • Now draw a figure just like you were drawing a polyline. Notice that arcs are allowed.
  • Pick up at step 4 above.



Viewports from objects



Now you can create a polygonal viewport. What if you already have an object created that you want to use as a viewport, but you don't want to have to trace it. No problem, follow these steps.



  • Type in the command MVIEW (or choose View, Viewports, Object from the pull-down menus).
  • If you use the type in command MVIEW, then enter "O" at the next prompt.
  • Now select a closed object. You can select any of these closed objects: CIRCLE, ELLIPSE, SPLINE, REGION, or POLYLINE. A viewport will be created.
  • Pick up at step 4 above.

Note: Viewports created from objects retain the original object also, and they are linked. If you select a viewport created from an object, TWO items will be selected, the viewport and the original object. This is important to remember if you are trying to edit a viewport in the Properties window and it's properties do not show up.



Setting properties on a per-viewport basis



You can control entity color, linetype, lineweight, and visibility on a per-viewport basis. To do this...


  • While you are in a layout, click the PAPER button in the status bar. (If you do not have this PAPER button, use the type in command MSPACE to switch to Model Space).
  • Open the layer manager, and scroll over to the right.
  • You will see columns that are not normally there while you are working on the Model tab. These are VP Freeze, VP Color, VP Linetype, VP Lieweight, and VP Plot Style.
  • Modifying any of these properties for a given layer only changes those properties in the viewport that is active.

See the image below. There are 4 viewports. Three of them were copies of the upper left one. You can clearly see how we are able to modify properties of entitys per-viewport.




  • The upper left viewport has not been modified. This is how these entities look in Model Space.
  • In the upper right viewport, all the lines have been changed to color 6.
  • In the lower left viewport, all the lines except the top one have been frozen.
  • In the lower right viewport, all the linetypes have been changed. You can see how this gives you a lot of flexibility.



Plotting/Publishing



When you are ready to plot, everything should be in order since you have already set the plotting parameters for each layout (see part 1). To plot multiple layouts from a single drawing...


  • Click on the first layout, then hold the Ctrl Key and click on the other layouts (you can also hold the Shift Key and click on the last layout to select them all).
  • Right click and choose Publish Selected Layouts.
  • The Publish dialog will open with your layouts included.
  • Check the "Publish To" section of the dialog. If you want to create a DWF file, check this option - otherwise leave it set to "Plotter named in page setup"
  • If you are plotting to file (including DWF), click the Publish Options button to verify the destination directory and other options.
  • Click the Publish button to begin.



Note: Publishing layouts from multiple drawing files has other steps that I did not cover here. More detail on the PUBLISH command can be found in this article by Ellen Finkelstein.

Labels: , , ,


PermaLink       Posted 11/07/2007 07:05:00 AM      Comments (1)
Embed (or bind) IMAGES in a drawing file          
If you work with images in your drawings, you have probably wished you could embed (or bind) an image instead of it being referenced like an xref. I posted some work-arounds for this problem a while back. Now there is a built-in method, with a couple of catches....

AutoCAD Raster Design (ARD) 2008 includes a new command (IEMBED) that allows you to embed a raster image in the DWG file. What's the catch? Besides needing ARD, image embedding only works on bitonal (black and white) images and if the recepient of this DWG file does not have ARD, they will need the Raster Design Object Enabler to view the image. Also, commands like IMAGECLIP and IMAGEADJUST will not work on an embedded image. The embedded image is a AECIDBEMBEDDEDRASTERIMAGE entity.

Embedded images can be "unembedded", or converted back to an IMAGE entity using the IUNEMBED command in ARD. When you do this, you are asked to provide a file name and path. It does not link the IMAGE back to the original location.

Labels: , , ,


PermaLink       Posted 11/07/2007 07:00:00 AM      Comments (1)
30 October 2007
Layout (paper space) tutorial: Part 1          
Here is a quick guide on setting up a layout (or paper space) for plotting in AutoCAD 2000 and later. I used AutoCAD 2008 for these steps, and most of these steps should apply (except for the viewport locking) in all versions, 2000 and later. I know this looks like a lot of steps, but it's really easy. The best part is once you set up a layout, you never have to do it again. You can import this layout (or any other) into any other drawing.

Before starting, let me say there are many ways to do what I'm outlining here, this is simply one of them. There are also many options in AutoCAD that could cause one or more of these steps to be missing or could cause an extra step to appear. I'm using a stock copy of AutoCAD, right out of the box.


Preparation


  • First, open up the OPTIONS dialog, and switch to the Display tab.
  • Under Layout Elements, make sure all the checkboxes are checked ON, except "Create Viewport in New Layouts".




  • Close OPTIONS

Set the plotting options

  • Right Click on Layout1, choose Rename
  • Give it a name like "MY TEST".
  • Now click on the MY TEST layout.
  • The Page Setup Manager will appear, and "MY TEST" will be highlighted in the list.


  • Click the modify button.
  • The dialog that opens looks a lot like the PLOT dialog.
  • Set your printer, paper size, plot style table, orientation, etc.
  • Leave "What to Plot" set to "Layout"
  • Make sure the scale is 1:1
  • Click Ok, then Close the Page Setup manager.

Create the Viewport

  • Create a Viewport
  • Type in the command MVIEW (or choose View, Viewports, 1 Viewport from the pull-down menus)
  • Pick a rectangle on your "paper"
  • The contents of model space will appear within this viewport. If you have objects spread out in MS, you may not see anything. Hang on, we'll fix this.
  • In the Status Bar of AutoCAD, find the PAPER button. Click it. It will change to MODEL. Now your cursor is restricted to the limits of the viewport. (If you do not have this PAPER button, use the type in command MSPACE to switch to Model Space)
  • Pan or zoom as desired. Notice how only the MS entities move. Layout entities stay put.
  • Now let's scale the model accurately. Type in ZOOM, the "C" for Center. Then pick a point roughly on the center of your model.
  • Now enter the scale factor. If the scale is 1"=50', enter 1/50XP. If the scale is 1"=20', enter 1/20XP. You can also use the viewport toolbar to set the scale, but you may get undesired results.
  • After you have set the scale, you can PAN without altering the zoom level.
  • Once you are satisfied, click the MODEL button in the status bar. It will change to PAPER.(If you do not have this MODEL button, use the type in command PSPACE to switch to Paper Space)
  • Click on the viewport to highlight the grips. Right click anywhere and choose Display Locked, Yes.

You are ready to go now. No more selecting the printer and paper size each time you want to print. It's ready to go. As mentioned before, you can import this layout into any other drawing. Here is how.


Importing this layout into another drawing


  • Save the drawing you have been working on.
  • Open a different drawing.
  • Right click on any layout tab.
  • Choose From Template



  • Change the files of Type from "DWT" to "DWG"
  • Find the DWG that you just saved and select it.
  • A new dialog will appear that contains the "MY TEST" layout. Select it and press OK.
  • The layout you created earlier has now been imported into the current drawing.

For best results, create the various layouts you need in your template drawings. Then they will always be there when you start a new drawing. You can add a sheet border and title block to the layout also.

Part 2 is here

Labels: , , ,


PermaLink       Posted 10/30/2007 08:52:00 PM      Comments (2)
12 October 2007
Using Thunderbird to read newsgroups          
If you use Thunderbird to read newsgroups, and have previously used Outlook Express, read on....

In Outlook Express, you can control the sort method of every newsgroup by going to View->Sort By. In Thunderbird, the default sort order is controlled per newsgroup. If you don't want to set this for every newsgroup you can change this, but it's sort of hidden.


  • Go to Tools, Options, Advanced button, General tab.



  • Click the Config Editor button.
  • In the Filter field, enter "sort"
  • Find "mailnews.default_news_sort_order" and set the value to 2



  • That changes the default sort order to descending, threaded.


Thunderbird 2.0 also allows you to add custom tags for highlighting filtered messages by color. Unfortunately, it only applies to messages as they arrive and not to message headers already downloaded.

Labels: ,


PermaLink       Posted 10/12/2007 09:16:00 PM      Comments (1)
Using Publish may cause fatal error          
Using Publish in AutoCAD 2008 (or one of it's vertical applications) may cause a fatal error.

We first noticed this while trying to Publish a set through Sheet Set Manager, while applying a Page Setup Override. This was in Civil 3D Land Desktop Companion 2008. As soon as the second sheet started to plot, a fatal error occurred.

If we did not use the override, it worked OK.

Thanks to Ralph Sanchez, I found out that setting the system variable PUBLISHCOLLATE to zero (0) solves the fatal error problem, at least in our case.

Ralph's website texupport.net, documents and tracks bugs in AutoCAD and AutoCAD vertical applications.

Labels: , ,


PermaLink       Posted 10/12/2007 08:56:00 PM      Comments (1)
29 September 2007
Free AutoCAD Linetypes          
Here are some links to some free AutoCAD linetypes.

LP_Linetypes.zip

linetypes.zip

NCS.lin

fs-site2.lin

NEN2322.lin

HM_LTyp.lin

ball.lin

CCAD.LIN

pR.lin

mpa.lin

Another way to get some free AutoCAD linetypes....? Make your own. Here are some tutorials.
Simple linetypes
Shape linetypes
Custom simple linetypes

How custom can you get? The following is a custom AutoCAD linetype defined using a shape file.

Labels: , , ,


PermaLink       Posted 9/29/2007 03:22:00 PM      Comments (1)
Convert CUI to MNU          
If you have a CUI file that you would like to convert back to an MNU file, download cuitomnu.vlx.
( alternative download URL )

Disclaimer: This routine works on some CUI files, but not all. I tried converting the stock OOTB "acad.cui" from AutoCAD 2007, and it failed. I tried converting a custom CUI and the Express Tools CUI from AutoCAD 2007, and it worked OK.

Labels: , , , ,


PermaLink       Posted 9/29/2007 03:06:00 PM      Comments (2)
25 September 2007
Toggle AutoCAD Background Part 2          
Samuli commented on the Toggle AutoCAD Background post from February, asking for a way to toggle the layout background color also (the original function only toggled the model space background color...)

Here it is. This will toggle the background color from white to black to white in whatever space you are in. (no effect on the block editor though...)


(vl-load-com)
(defun c:TBC (/ pref col tm)
(setq tm (getvar "tilemode"))
(setq pref (vla-get-display
(vla-get-Preferences
(vlax-get-acad-object)
)
)
)
(if (zerop tm)
(setq cur (vla-get-graphicswinlayoutbackgrndcolor pref))
(setq cur (vla-get-graphicswinmodelbackgrndcolor pref))
)
(setq col (vlax-variant-value
(vlax-variant-change-type
cur
vlax-vblong
)
)
)
(if (not (or (eq col 0) (eq col 16777215)))
(setq col 0)
)
(cond ((zerop tm)
(vla-put-graphicswinlayoutbackgrndcolor
pref
(vlax-make-variant (abs (- col 16777215)) vlax-vblong)
)
(vla-put-layoutcrosshaircolor
pref
(vlax-make-variant col vlax-vblong)
)
)
(t
(vla-put-graphicswinmodelbackgrndcolor
pref
(vlax-make-variant (abs (- col 16777215)) vlax-vblong)
)
(vla-put-modelcrosshaircolor
pref
(vlax-make-variant col vlax-vblong)
)
)
)
(vlax-release-object pref)
(princ)
)

Labels: ,


PermaLink       Posted 9/25/2007 12:16:00 PM      Comments (0)
20 September 2007
PDF talk...          
In a recent, highly unscientific poll with only 81 respondents, 60% of readers said they use PDF when they send drawings outside the office. 7% said they use DWF.

The reason I bring this back up is a statement made by Mike Hudspeth in an article titled MCAD Modeling, in the September 2007 Cadalyst. The statement was...

Everything is 3D today. It's hard to avoid it. Even Adobe Acrobat, the industry de facto standard document-transfer format, is offering 3D capability...


I know Autodesk has been making strides in 3D capabilities with DWF, but this article flat out calls PDF the "de facto" standard for document transfer. So is DWF gaining or losing ground?

We primarily work with what I consider 2D drawings in Land Desktop and AutoCAD (no 3D solids), so we have little to no experience with portable 3D files in DWF or PDF format.

If you work with 3D files and share them using either method, please leave a comment with any thoughts you have on this matter. Thanks!

Labels: , , ,


PermaLink       Posted 9/20/2007 06:36:00 PM      Comments (1)
19 September 2007
RecoverAll          
This is one of the new commands in AutoCAD 2008 that is sort of overlooked, but can save you a lot of time. If you use xrefs, then how many times have you had a problem with the parent drawing crashing? You might try running AUDIT or RECOVER on the parent drawing and find there are no errors, but you continue to have problems with this drawing.

Remember, if one of the child xrefs is corrupt, then this will affect your main drawing also. In the past, you would have to run RECOVER on each child drawing. If you had several xrefs, you might even have to open the main drawing and make note of the path and name of each drawing.

With RECOVERALL, you simply pick the main drawing and it, along with all the child xrefs are fed through the RECOVER command. All errors are fixed, and each drawing is saved in the current format.

The first time you run this command, you will get this dialog.


Press Continue and select the main drawing. After the process has completed, you will be presented with the Drawing Recover Log which will look something like this.

Labels: ,


PermaLink       Posted 9/19/2007 07:15:00 AM      Comments (0)
09 September 2007
AutoCAD LT Blogs          
If you are an LT user or even if you are not, check out these two blogs. A lot of good information on both.

Kate's CAD Tips
By: Kate M
Blog: http://katescadtips.blogspot.com/
Feed: http://katescadtips.blogspot.com/atom.xml


The LT Side of Things
By: Erik
Blog: http://ltsideofthings.blogspot.com/
Feed: http://ltsideofthings.blogspot.com/atom.xml

Labels: ,


PermaLink       Posted 9/09/2007 08:21:00 AM      Comments (0)
02 September 2007
Marketing on Wikipedia          

The other day, I saw a link to Novedge about CAD companies editing each others Wikipedia entries. At the time, I didn't pay much attention, but then I ran across this article from Deelip Menezes that pointed me back there again, so I took another look at this occurrence.

There are a couple of examples that I really like.

1. The Wikipedia article on SolidWorks, edited on 17 Nov 2006.

The original text read "and is now part of the midrange CAD market along with [[Autodesk Inventor]], launched in 1999"

After editing by an Autodesk IP, it reads "and is now part of the midrange CAD market. In recent years it has begun to loose ground to more sophisticated modeling systems like [[Autodesk Inventor]], launched in 1999" (The misspelling of the word "lose" (as loose) was part of the entry)

2. On that same date, under the entry for Inventor, someone at Autodesk was back at work.

The original text read "It is one of the mid-range 3D CAD products including [[SolidWorks]], [[Pro/ENGINEER]], and [[Solid Edge]]. Introduced in 1999, years after [[SolidWorks]] and [[Pro/ENGINEER]]"

After editing by an Autodesk IP, it reads "It is one the number one selling 3D modler on the market out selling both [[SolidWorks]], [[Pro/ENGINEER]], and [[Solid Edge]] for the last 5 years in a row" (Yes, the misspelling of modeler (as modler) was included in this post also)

3.  Earlier on 31 Oct 2006, the entry for Inventor was changed as shown below.

The original entry, last edited by an Autodesk IP, read "It is the best selling 3D mechanical design software package in the world, out selling it's nearest competitor [[SolidWorks]] for five years in a row. It is a cost effective alternative to more expensive programs such as: [[Solidworks]]"

After an edit by a SolidWorks IP, it reads "It is one of the mid-range 3D CAD products including [[SolidWorks]], [[Pro/ENGINEER]], and [[Solid Edge]]. Introduced in 1999, years after [[SolidWorks]]"

 

Check out the WikiScanner for yourself at Virgil


PermaLink       Posted 9/02/2007 09:24:00 PM      Comments (2)
29 August 2007
Per viewport layer control          
Starting in AutoCAD 2008, you can now control more layer properties on a per viewport basis. You could always freeze layers per viewport, but now you can change color, linetype, lineweight, and plot style. Now the same line can be red with the hidden linetype in one viewport and green with a continuous linetype in another viewport.




These additional layer properties add several columns to the layer dialog. You can hide unused columns easily by right-clicking on any column and unchecking the ones you want to hide.

Labels: ,


PermaLink       Posted 8/29/2007 10:03:00 PM      Comments (0)
17 August 2007
Last months poll          

PermaLink       Posted 8/17/2007 07:47:00 AM      Comments (0)
Adding Autodesk KB Search to FireFox          
Firefox includes a search bar that allows you to search frequently accessed sites such as Google, Amazon, Wikipedia, etc.



You can add more search sites by visiting this page. However, what if you want to add a site that is not listed there?

Download this Firefox plugin (Add to Search Bar), then go to your favorite Autodesk KB search site (AutoCAD, Land Desktop, ABS, etc), and right click in the search box and choose "Add to Search Bar".

If you find a search site on which this plug in does not work, it's still possible to manually add a search site. More details here.




Labels: , ,


PermaLink       Posted 8/17/2007 06:55:00 AM      Comments (0)
13 August 2007
Create a TABLE using lisp          
Here is an example of creating a TABLE entity using lisp. This example also creates some FIELDS using lisp.

This routine allows the user to select closed polylines, and it will create a TABLE with two columns. One containing the area, and the other containing the ObjectID. The last row totals up the area. You could easily adapt this to show the layer, color or any other property.

The TABLE is creating on the current tablestyle, so depending on the settings of your current tablestyle, you may have to adjust the sizing arguments in the (vla-addTable...) function in order for the table to look acceptable. These sizes used here work with the Standard tablestyle in a new empty drawing.


; load (vl-load-com) first
(vl-load-com)
(defun C:POLYTABLE ( / *MS* A CNT I LST MYTABLE PT1 ROW SSET TLST)

; create an empty list, set a counter variable, and
; set a reference to the current model space.

(setq lst '()
i 0
*ms* (vla-get-modelspace
(vla-get-activedocument
(vlax-get-acad-object)))
)
; prompt the user to select closed polylines
(princ "\n Select closed polylines ")
(if (setq sset (ssget '((0 . "POLYLINE,LWPOLYLINE")(-4 . "&")(70 . 1))))
; if a valid selection set was generated, then proceed.
(progn

; for each closed polyline selected, grab the ObjectID and Area
; and store these values in a list.

(repeat (setq cnt (sslength sset))
(setq a (vlax-ename->vla-object (ssname sset i)))
(setq tlst (list (vla-get-Area a) (vla-get-ObjectID a)))
(setq lst (cons tlst lst))
(setq i (1+ i))
)
; pick a point for the table
(setq pt1 (getpoint "\nPick point for table "))
; add the new table
(setq myTable (vla-AddTable
*ms*
(vlax-3d-point pt1)
(+ 3 cnt)
2
0.7
2.5))
; the next three lines set the header text
(vla-setText mytable 0 0 "Polyline Table")
(vla-setText mytable 1 0 "Area")
(vla-setText mytable 1 1 "Object ID")
(setq row 2)

; loop through the list of polyline properties
; adding a line to the table that contains the
; area and the ObjectID

(foreach item lst
(vla-setText mytable
row
0
(strcat "%<\\AcObjProp Object(%<\\_ObjId "
(itoa (last item))
">%).Area \\f \"%lu2\">%"))
(vla-setText mytable row 1 (last item))
(setq row (1+ row))
)
; On the last row, total up the area
(vla-setText mytable
row
0
(strcat "Total=\\P"
"%<\\AcExpr (Sum(A3:A" (itoa (+ 2 cnt)) ")) \\f \"%lu2\">%"))
; release "myTable" and *ms*
(vlax-release-object myTable)
(vlax-release-object *ms*)
); end progn

; if no closed polylines were selected,
; end the program with this message

(princ "\nNo closed polylines selected. ")
); end if
(princ)
); end defun




Labels: ,


PermaLink       Posted 8/13/2007 07:44:00 AM      Comments (0)
30 July 2007
Free AutoCAD add-ons          
Here is a quick list of some of the free AutoCAD add-ons to which I frequently point people. Take a look, there may be something in here you can use. Be sure to read the download page for details or changes regarding the "free" policy.

  • DOSLib - A library of AutoLISP-callable functions that provides a variety of Windows operating system capabilities to AutoCAD.
  • Deter.vlx - Makes a copy of your drawing very difficult for others to edit.
  • Impview.zip - Imports named views from a second drawing.
  • Layerhtm.exe - Create a printable HTML table of your layer settings.
  • New-lin.lsp - Extract all linetype definitions from a drawing.
  • To-lin.lsp - Extract a single linetype definition from a drawing.
  • Getpat.lsp - Extract hatch pattern definitions from a drawing.
  • Tlen.lsp - Returns the total length from a selection of lines, polylines, arcs, etc.
  • Autovbaload.lsp - Define AutoCAD commands that autoload and run VBA macros.
  • Dlf.lsp - Delete named layer filters.
  • CopyPlineSeg.lsp - Copies a polyline segment
  • Dwgman.exe - Drawing Tabs for MDI

    Labels: ,


    PermaLink       Posted 7/30/2007 08:34:00 PM      Comments (1)
  • 26 July 2007
    AutoCAD Land Desktop 2008 SP1          

    Just released, SP1 for both Land Desktop 2008 versions. The standalone version and the version that comes with Civil 3D.

    SP1 for AutoCAD Land Desktop 2008

    SP1 for AutoCAD Civil 3D Land Desktop Companion 2008

    Labels:


    PermaLink       Posted 7/26/2007 05:52:00 PM      Comments (0)
    AutoCAD Civil 3D 2008 SP1 is out.          

    Now available, Service Pack 1 for Civil 3D 2008.

    If you want to read about it first, here is the readme file.


    PermaLink       Posted 7/26/2007 07:27:00 AM      Comments (0)
    19 July 2007
    Firefox bookmark icons          

    If you use Firefox and you save bookmarks, then you have probably noticed that some bookmarks display an icon next to them. These are known as a favicons.

    These favicons can help you visually identify a bookmark, but what happens when the wrong favicon is displayed for a particular bookmark? First off, I don't know how this happens, but I have seen it several times. Previously, the only way I knew to fix this was to delete the bookmark and add it again. This is sort of a pain since you have to take the time to put the new bookmark back in the same place. Here is another way.

    • Close all sessions of FireFox
    • Find a file called bookmarks.html in your Firefox profile. This is generally located here: C:\Documents and Settings\<username>\Application Data\Mozilla\Firefox\Profiles\<profilename>\
    • Copy this file (just in case....)
    • Open bookmarks.html using your favorite HTML editor, or Notepad.
    • Search for the bookmark that you want to edit.
    • You will see some HTML code like this:
      <A HREF="http://www.google.com
      ADD_DATE="1155432765"
      LAST_VISIT="1651389765"
      LAST_CHARSET="UTF-8"
      ID="rdf:##Mj4I$"
      ICON="data:image/x-icon;base64,AAA">
      Google
      </a>
      ...except that the data in quotes after the ICON label will be much longer. 
    • Just delete the entire ICON="" section, including the contents of this section.
    • Save the bookmarks.html file and close it.
    • Restart Firefox and pick your bookmark, the correct icon should now appear.

    Labels:


    PermaLink       Posted 7/19/2007 09:22:00 PM      Comments (2)
    18 July 2007
    .NET Programming for AutoCAD          

    If you are looking for some excellent .NET tips, tricks and tons of sample code, head over to Through the Interface, by Kean Walmsley from Autodesk.

    Some sample topics you will find there (with code) include:

    • Getting the type of an AutoCAD solid using .NET
    • Displaying a progress meter during long operations in AutoCAD using .NET
    • Creating a partial CUI file using .NET and loading it inside AutoCAD
    • Adding a context menu to AutoCAD objects using .NET
    • Iterating through a polyline's vertices using AutoCAD .NET
    Atom Feed for Through the Interface

    Labels:


    PermaLink       Posted 7/18/2007 07:56:00 AM      Comments (0)
    10 July 2007
    Tracking down why that application is slow          

    Do you have an application such as AutoCAD that is displaying any of the following symptoms?

    • Starting up slower than normal?
    • Running slower than normal?
    • Long delays when you try to run a particular function, like save, open, or plot?
    If you have already ruled out typical suspects such as a virus, spyware, malware, hardware limitations, etc., then there is a good chance that maybe the application is simply looking for something that isn't there.

    Windows and windows applications like to search for things for what seems like en eternity. How can you find out what is going on behind the scenes?

    I've been using FileMon for years to view file activity in real-time. Many times you can spot a missing file or path that your application is looking for.

    FileMon was originally developed and released by Winternals Software, available on their website, www.sysinternals.com. However, in July 2006, Microsoft acquired Winternals Software and now FileMon and other similar tools are available at http://www.microsoft.com/technet/sysinternals/default.mspx



    FileMon (and most of the other "sysinternals" tools) are simple yet powerful, require no installation, very small in size, and best of all, free.

    After you download the program (a tiny 280k download), unzip the contents. You can unzip the contents to a flash drive if you want it to be portable or you can simply unzip it into a local directory like C:\Program Files\FileMon . You will end up with 3 files. An executable, a help file, and the EULA.



    Run the executable (filemon.exe) to get started. The first thing you will see is the "FileMon Filter" dialog. Here you can include, exclude, and highlight certain strings. For now, don't change anything, just press OK.



    Now, depending on what applications you have running, you will see a variety of file activity going on. Even if it seems like your computer is idle, there may still be quite a lot of file activity happening. Things like virus checkers, media players, email applications, etc. may be working away even though they seem idle. Now that you have seen what this tool does, how can you use it to find out what is slowing you down?



    Let's say your AutoCAD takes a long time to start up, and let's assume that the problem lies completely within AutoCAD to start with. So let's filter out all other file activity. Press Ctrl+L to open the filter dialog again. In the INCLUDE field, enter *acad*. This will instruct FileMon to ignore everything unless it contains "acad". If you have dual monitors, place FileMon on the opposite monitor from where AutoCAD opens. If you have a single monitor, position and size FileMon so that you can see the AutoCAD command line and then click the Options menu in FileMon and select "Always on Top". This will keep FileMon visible even when AutoCAD takes focus.



    Now start up AutoCAD. You will see a line after line start scrolling by, probably faster than you can read it. Pay attention though, and when AutoCAD seems to freeze up, take a look at the FileMon screen and look at the last few lines, particularly the Path and Result columns. Is AutoCAD looking for a drive letter or network path that does not exist? Maybe it's looking for an add-on file that doesn't exist any more. If you don't see anything obvious, you may have to go back to the FileMon filter and remove the *acad* filter. Press the Defaults button to allow it to monitor ALL file activity. Maybe another application is slowing down AutoCAD by running some sort of process during AutoCAD startup.



    FileMon has helped diagnose a problem where a particular DWG file just would not load in AutoCAD. It looked like AutoCAD was just locked up after loading about 20% of this drawing. FileMon revealed that the virus checker was busy scanning four, 18MB .SID files that were referenced in the DWG file. In another case, AutoCAD was taking almost a minute to open the MTEXT editor, but only the first time it was initiated. After using FileMon, it was determined that AutoCAD was finding over 300 fonts in the various search paths, and AutoCAD was reading each font once, the first time the MTEXT editor was launched.



    Hopefully, you can use this tool to help diagnose a problem that you are having.

    Labels: ,


    PermaLink       Posted 7/10/2007 05:25:00 AM      Comments (7)
    26 June 2007
    Spline to Polyline          

    There are a number of ways to convert splines to polylines. Here are four of them.

    • Flatten - if you have Express Tools installed, run the flatten command and select the splines. They will be converted to LWPOLYLINES regardless of the setting of PLINETYPE.
    • SPL2PL.VLX - This is a free tool from dotsoft.com. After you download it, drag and drop the .VLX file into the AutoCAD editor, then run the command SPL2PL. This tool will create a POLYLINE or LWPOLYLINE depending on the setting of the system variable PLINETYPE.
    • WMFOUT/WMFIN - Run the WMFOUT command, enter a filename, then select the splines. Now erase the spline, and then run the WMFIN command. Use the upper left corner of the viewport as the insertion point, and then scale it 2X. The resulting entity is a POLYLINE.
    • Save As R12DXF - If you save a drawing as R12 DXF format, all splines will be converted to POLYLINE entities.


    UPDATE (Aug 2008) - AutoCAD 2009 Bonus Pack 1 (available to subscription members) contains a spline to polyline routine.

    Labels: , , ,


    PermaLink       Posted 6/26/2007 08:02:00 AM      Comments (1)
    12 June 2007
    Drawing Viewer - Myriad 3D/2D Viewer          

    I just ran across another drawing viewer application called Myriad 3D/2D Viewer. I'm not trying to do a full review here, I just wanted to comment on some of its features with regard to viewing, printing and measuring 2D drawings.

    1. Viewing and Printing - This application will open over 100 different file formats. I successfully opened several files of the following file types with no problems. DWG (r2007 version), DGN (v8 version), DWF, PDF, JPG, PNG, TIF, HPGL/2 (plot file), and DXF. This is an MDI application with optional tabs across the top like IE7 or FireFox web browsers. Controlling layer visibility, switching to monochrome mode, and changing the background color are all easily done using an icon in the status bar. You can pan, zoom and even rotate the drawing easily. My only complaint is that the mouse wheel zooms in and out using the center of the viewport as the basepoint, rather than the location of the cursor. Switching from model space to a layout is done with a drop down box in the status bar area. Other than the minor wheel zoom issue, this is an excellent viewing tool. In addition to the normal print options, there is a one button tool for printing to PDF, TIF, and DWF. You can also save the current view as a JPG file.


    2. Measuring - Measuring is pretty simple also. You have to calibrate a known distance once before using the other tools. After that you can measure a line, polyline (continuous distance) for linear measurements, and a polygon or rectangle for area measurements. Turning on the "snap" will cause the cursor to snap to endpoints, midpoints, and centers.


    Summary Of course, there are many more features in this application related to markup and 3D viewing that I didn't go over. It looks like the pricing structure is based on how many features are enabled. Bentley View has it beat as a pure DWG/DGN viewer simply because BV is free, but if you need other features at a reasonable cost, Myriad looks like the real deal.




    I have updated my list of drawing viewers to include this application also.

    Labels: , ,


    PermaLink       Posted 6/12/2007 05:56:00 PM      Comments (0)
    08 June 2007
    Free AutoCAD          
    If you are a student with a valid school issued email address, join the Autodesk Student Community where you can download FREE AutoCAD and other Autodesk software for architecture, mechanical engineering, and civil engineering (educational versions).

    If you do not have a valid school issued email, you can invite a faculty member to sign up and they can give you access.

    You can also find job postings, discussion forums and product tutorials there.

    http://students.autodesk.com/

    I bet there are other resources there too. If you are a member, let me know what I left out...

    Labels:


    PermaLink       Posted 6/08/2007 08:00:00 PM      Comments (0)
    30 May 2007
    Google Earth Publishing Extension for AutoCAD          

    The Google Earth™ Publishing Extension is now available for AutoCAD and other products*. You can use this utility to publish your models directly into Google Earth™

    This extension works with:

    • AutoCAD 2007
    • Architectural Desktop 2007
    • Autodesk Civil 3D 2007
    • Autodesk Map 3D 2007
    • AutoCAD 2008
    • AutoCAD Architectural 2008
    • AutoCAD Civil 3D 2008

    It's beta, it's unsupported, but it's "really cool"... so give it a try if you have an interest.

    Google Earth™ Publishing Extension available here: http://labs.autodesk.com/

    Google Earth™ available here: http://earth.google.com/

    Labels: , ,


    PermaLink       Posted 5/30/2007 04:09:00 PM      Comments (0)
    22 May 2007
    AutoCAD 2008 - Automatic DWF Publish          

    Since the DWF format has been gaining steam over the past couple of years, one of the requests I have seen a lot is for the ability to automatically create a DWF at the same time you save or close a drawing in AutoCAD. Starting with AutoCAD 2008, you can now do this.

    In the OPTIONS command, on the Plot and Publish tab, there is an "Automatic DWF Publish" checkbox and a button to set various options for this tool. There are 3 main options.

    1. When do you want AutoCAD to create the DWF?

    • Save - Each time you save, a DWF is created/updated.
    • Close - Each time you close the drawing, a DWF is created/updated.
    • Prompt on Save - Same as above, but you are prompted.
    • Prompt on Close- Same as above, but you are prompted.

    2. Where do you want to save the DWF files?

    • Same folder as the DWG file.
    • A "DWF" folder relative the the DWG folder. In other words, if you drawing is in "R:\Jobs\MyProject", then the DWF files will be saved to "R:\Jobs\MyProject\DWF"
    • A single, hardcoded folder, such as "C:\DWF"

    3. What do you want to include in the DWF file?

    • Model space
    • Layouts
    • Model space and the layouts.

    The other options are similar to normal DWF creation, such as whether to include layers, whether or not to use a password, and whether you want a single DWF or multiple DWF files.

    If you obsessed with keeping a current DWF file that matches your DWG, then creating a DWF at each save may be for you. However, if you have several layouts and/or a large drawing, count on some additional time each time you save. A more reasonable option may be to just have AutoCAD create the DWF when you close the drawing.

    Warning: If you have this feature turned on and the last created DWF is open (say a co-worker is viewing it), then the DWF creation process inside of AutoCAD appears to work, but the DWF does NOT get updated. IMO - AutoCAD should warn the user that the DWF can not be updated. If your co-worker opens this DWF and leaves for the rest of the day, you can Auto-Publish the rest of the day and the file will never change.

    Labels: ,


    PermaLink       Posted 5/22/2007 07:09:00 AM      Comments (0)
    17 May 2007
    DWF Plate          
    I wonder if anyone at Autodesk has this license plate...?



    Here are some other related links:

    Shaan's license plate frame

    Beth's vanity plate

    CADMAMA

    Labels:


    PermaLink       Posted 5/17/2007 09:03:00 PM      Comments (1)
    10 May 2007
    AutoCAD 2008 MLEADER          
    Let's take a quick look at the new MLEADER (or multi-leader) in AutoCAD 2008.


    Here is a screen shot showing some of the different types of things you can do with MLEADERs.


    Notice that you can apply linetypes, use some "built-in" shapes (or your own blocks) for terminators, and that the blocks can be a different color than the leader(s).

    The best thing is that now you can have more than leader (or pointer). After you construct the first segment, select it and right click, then choose Add Leader. You can also use this toolbar button.

    Another cool feature is the ability to line up several separate MLEADERs.



    Note that you don't have to line them up vertically. You can line them up along any angle. The command name is ._MLEADERALIGN.

    Labels:


    PermaLink       Posted 5/10/2007 08:57:00 PM      Comments (0)
    26 April 2007
    Binding raster images          
    How do you "bind" a raster image in AutoCAD?

    Raster images can only be referenced into AutoCAD drawings. If you send the drawing to someone else, you must send the image file also.

    See the following Autodesk Tech Docs:
    Sending images with a DWG file | Raster files in drawings




    So what's this article about? You probably came here because you want to "bind" a raster image. Here are a few ways:


    1. Insert the image as an OLE object

      • In AutoCAD, run the INSERTOBJ command.
      • Choose "Create New", then choose "Bitmap Image".
      • Next, Windows Paintbrush should open up.
      • In Paintbrush, choose the Edit menu, then PasteFrom
      • Select your existing image file (JPG, BMP, PNG, TIF, etc.)
      • While still in Paintbrush, choose File, then Exit and Return to AutoCAD

    2. Use the IMAGE BIND command in Dotsoft ToolPac. This command reads the image (either an image on disk, or one that exists in the drawing) and creates AutoCAD geometry to represent the image.
    3. Use an standalone program such as Img2CAD. This program will accept most raster images as input, and then output one of the following: DXF, EMF, WMF or HPGL. I tested a 132,000,000 pixel TIFF file and converted it to a DXF. Depending on the options selected, the output DXF was anywhere from 52MB to 96MB in size. Quite large, but the program was able to perform the conversion in about a minute. Not bad for such a large image.

    If you know about other options, let me know.

    UPDATE:Raster Design 2008 allows you to embed (or bind) an IMAGE into a DWG. See this post for more details.

    Labels: , ,


    PermaLink       Posted 4/26/2007 11:59:00 AM      Comments (7)
    25 April 2007
    Xref a PDF?          

    Have you ever needed to Xref (or reference) a PDF file? One way would be to save the PDF as a TIFF and reference the image. Of course there is the old way of inserting an OLE object referencing the PDF. Both have their drawbacks.

    Here is another way. Download DWF Writer from Autodesk (it's free), then open your PDF in Acrobat (reader is fine) and plot the PDF to a DWF using the DWF Writer print driver. Note that multi sheet PDFs are converted to a multi sheet DWF.

    Then use the reference manager or the ._DWFATTACH command in AutoCAD to reference the DWF file. (The ability to reference DWF files was added in AutoCAD 2007).




    Now if there was just some way to create a reference to each sheet in the DWF all at once rather than having to repeat the ._DWFATTACH command for each one.

    Labels: , ,


    PermaLink       Posted 4/25/2007 01:46:00 PM      Comments (0)
    23 April 2007
    AutoCAD 2008 Free Downloads          
    Update on the AutoCAD 2008 trial downloads (some of these are available in the U.S. and Canada only)


    You can request the trial version (32-bit) one of three different ways. You can download it, you can order a DVD, or you can order a set of CD's. If you would like the 64-bit version, your only option is a download.


    Here are some of the other free trial versions available.


    AutoCAD LT Trial version download


    AutoCAD LT Trial version CD


    AutoCAD Electrical Trial version CD


    AutoCAD Civil 3D Trial version CD


    AutoCAD Map 3D Trial version CD


    AutoCAD Raster Design Trial version Download


    AutoCAD Raster Design Trial version CD


    Many more FREE Autodesk trial version downloads are listed here

    Labels: , , ,


    PermaLink       Posted 4/23/2007 07:48:00 PM      Comments (0)
    13 April 2007
    AutoCAD 2008 Data Links          
    In previous AutoCAD versions, if you wanted to create a table that was linked to a spreadsheet, you had to either use an OLE link or use a 3rd party tool. New to 2008 is a "Data Link" feature. This almost certainly replaces OLE linked objects, and may or may not replace 3rd party tools.

    Start by creating the data link using the Data Link Manager. Click on "Create a New Excel Data Link"



    It will prompt you for a data link name, and then to browse for the spreadsheet (.XLS format). After you do this, the next dialog will show you a preview of your selection. By default, the data link will point to the entire sheet. However, you can link to a named range or enter the limits of a different range.



    Now you have created a data link. You will be taken back to the Data Link Manager where you can create more data links or just close the dialog.

    Next, run the ._TABLE command. The dialog for this command has changed also. One of the options for source data now is a "Data Link". Choose the previously created Data Link (Mine was named "ss"), then press OK.



    This particular spreadsheet included 15 columns and 72 rows, with cell shading, different fonts, and some merged cells. It came into AutoCAD looking exactly like the spreadsheet looks in Excel with one glaring exception.

    When a text object "spills over into" an adjoining cell, but the cells are not merged, then AutoCAD wraps this text by default when that cell is imported. This results in bad formatting. You can "fix" this by merging the cells.

    Did I mention that the spreadsheet in the Data Link and the table in the drawing are LINKED? If you update the spreadsheet, and save it, then AutoCAD prompts you with a bubble warning in the lower right corner to update the table object.



    Then there is a feature that you may or may not want. If the data cell is UNLOCKED, you can edit the data in the AutoCAD table and then update the spreadsheet. You do this by selecting the table, the from the right click menu, choose "Write Data Links to External Source". Note that you can

    The following is a screen shot of the table, in the drawing.



    In summary, will this replace OLE linking? I think so. Will it replace your 3rd party tool (such as XL2CAD or SPANNER)? That depends. We have a standard spreadsheet with about 35 columns and a varying number of rows (usually 50 or so), but it has a lot of non-merged cells and other stuff that doesn't format correctly using the AutoCAD 2008 "Data Link" - so for us, and that particular spreadsheet, we'll keep using XL2CAD. But for linking smaller spreadsheets without complicated formatting, the Data Links functionality looks like a winner, especially considering this was Autodesk's first go-round at it...

    Labels:


    PermaLink       Posted 4/13/2007 03:57:00 PM      Comments (2)
    09 April 2007
    DWG TrueView 2008 Silent Install          
    Now that you have downloaded this beast, you may want to configure a silent install for it. You can do this using the same method as the Design Review 2008 Silent Install.

    You can open this download using your favorite ZIP program. Extract all the files and the MSI file is there.

    The string for your BAT or script file will be:

    MSIEXEC /i "\\server\share\DWGVIEWR.msi" /l*v %temp%\DWGTrueView.log /qb!


    NOTE: You may need to install other components prior to running this silent install. For example, without .NET 2.0, the DWG TrueView silent install will fail with an "Internal Error 2337". You can silently install .NET 2.0 with this string:

    \\server\share\support\dotnetfx\dotnetfx.exe /q /c:"install /l /qn"

    Labels:


    PermaLink       Posted 4/09/2007 11:47:00 AM      Comments (1)
    Design Review 2008 Silent Install          

    The instructions for a silent install of Design Review 2008 are exactly as those posted for Design Review 2007.

    How do you get the .MSI file out of the .EXE file that you download? Run the EXE, then when you get to the first install dialog, stop and search your %temp% directory and you will find a file named SetupDesignReview.msi

    To review, here is the string to use in your BAT or script file.

    MSIEXEC /i "\\server\share\SetupDesignReview.msi" /l*v %temp%\DesignReview.log /qb!

    Labels:


    PermaLink       Posted 4/09/2007 11:34:00 AM      Comments (0)
    06 April 2007
    DWG TrueView 2008          

    DWG TrueView 2008 is available for download. If you want to read more about it and fill out a form prior to downloading, go to http://www.autodesk.com/dwgtrueview

    If you want to skip all that and just download it, click here: DWG TrueView 2008

    The download is a little over 128MB.

    As predicted, there are still no linear or area measuring capabilities. Why doesn't Autodesk enable two simple commands, AREA and DIST?

    The ability to convert multiple drawings has been enabled in this version, in the form of the eTransmit command. When you run the DWG Convert routine, it executes a version of eTransmit with a couple of predefined "conversion setups". You can still convert back to R14. I prefer the older DWG TrueConvert 2007, since using eTransmit to simply convert formats is not as straightforward. But this move will at least make installation of the two products easier since they are now one.

    Labels:


    PermaLink       Posted 4/06/2007 10:17:00 AM      Comments (0)
    04 April 2007
    ScriptPro for AutoCAD 2007 and AutoCAD 2008          

    An AutoCAD 2007/2008 compatible version of ScriptPro has finally been released. According to Bud Schroeder, ScriptPro is the same, but it was removed from the CCSETUP.EXE install. You can download ScriptPro for AutoCAD 2007/2008 at the following URL: http://www.autodesk.com/migrationtools

    I downloaded it and ran a test on AutoCAD 2008 with one of the sample scripts. Seems to work just fine.

    Labels:


    PermaLink       Posted 4/04/2007 08:48:00 PM      Comments (0)
    AutoCAD 2008 Spell Check          

    AutoCAD 2008 adds some new features to spell checking.

    • Instead of first prompting for a selection, a dialog opens. By default, it is set to check the entire drawing. You can also check a selection set or the current space/layout.
    • Dimensions and leader MTEXT are now checked.
    • Words being corrected are zoomed to automatically.
    • There are options to ignore:
      • Capitalized words
      • MixedCase works
      • UPPERCASE words
      • Words with numbers (BR549)
      • Words containing punctuation (Like.This)

    These are some long awaited improvements, especially the auto-zoom feature. Have fun.

    Labels:


    PermaLink       Posted 4/04/2007 08:37:00 PM      Comments (1)
    03 April 2007
    AutoCAD 2008 Xclip          

    Another new feature to AutoCAD 2008 is the ability to perform an inverted xclip. Inverted clip meaning that the data "inside" the area you select is clipped out as compared to an ordinary XCLIP where the data "outside" the selected area is clipped. Microstation has had this for a while, so it's good to see it finally added to AutoCAD.

    However, I find the new prompting a little strange. I saw this feature demonstrated last week and the person working it couldn't figure it how to do an inverted clip. I tried it later and found it to be confusing also.



    The command prompting is exactly same as previous version except for the addition of one the new "Invert clip" option.

    Old Prompt (2007 and earlier)

    Specify clipping boundary:
    [Select polyline/Polygonal/Rectangular] <Rectangular>:

    New Prompt (2008)

    Specify clipping boundary or select invert option:
    [Select polyline/Polygonal/Rectangular/Invert clip] <Rectangular>:

    Here is the strange part. If you choose the "Invert clip" option at this prompt, you are simply returned to the same prompt again. It doesn't appear that you have done anything. If you choose "Invert clip" again, you are once again returned to the same prompt. You can choose the "I" option over and over with no indication that anything is happening.

    With the command line turned off and DYNMODE active, it's the same story. You are returned to the same on-screen display each time you select "Invert clip".





    After a little investigation, I figured out that the "Invert clip" option is a toggle setting and that you are notified about the state of the command, but when you have the command line set to the default setting, this notification scrolls by and you don't see it.

    If you turn the command line on and set the number of visible lines to 4 or 5, then you will be able to see the rest of the prompt that says either "Inside mode - Objects inside boundary will be hidden." -or- "Outside mode - Objects outside boundary will be hidden."

    Labels:


    PermaLink       Posted 4/03/2007 01:39:00 PM      Comments (0)
    29 March 2007
    AutoCAD 2008 Network deployment          

    Starting with 2008, there is no "Deployment Wizard" any longer, at least as a separate application that you have to install. So how do you build the deployment if there is no deployment wizard? You'll see not long after you insert the DVD into the drive.





    The above image is part of the dialog that appears when you insert the DVD. From here, you can install a single standalone copy on the local machine, create a network deployment, or install other tools such as the network license manager. Choose the "Create Deployments" options to build the deployment. The steps are similar to the old "Deployment Wizard".

    After a successful build of the deployment, two shortcuts are created. One to install the deployment, and one to modify the deployment.





    In earlier versions, if you were scripting the installation of a network deployment, you could use a line like this


    \\Server\Software\AutoDesk\Deployments\2006\ACAD2006\AdminImage\deploy.exe "ACAD2006"

    ...where "ACAD2006" was the name or your deployment.


    Now, if you look at the new shortcut that is created, you will see that the target looks something like this.

    \\Server\Software\AutoDesk\Deployments\2008\
    ACD\AdminImage\Setup.exe \\Server\Software\AutoDesk\
    Deployments\2008\ACD\AdminImage\ACD.ini

    (...some carriage returns have been inserted in this string for readability, but this is really all one line.) As you can see, "Setup.ini" is being passed to "Setup.exe" now.


    If you are scripting your install in a BAT file for example, just use the above line instead of calling "deploy.exe". I have noticed one problem though. Setup.exe ends and calls other .exe files. This is a problem because as soon as "Setup.exe" ends, my BAT file takes off and tries to do the things it needs to do, but the other .EXE files that "Setup.exe" calls are still working...  Still looking for a way around this....

    Labels:


    PermaLink       Posted 3/29/2007 04:28:00 PM      Comments (9)